oracle.xml.async

## Class XSLTransformerEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.xml.async.XSLTransformerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class XSLTransformerEvent
    extends java.util.EventObject

This class represents the event object used by XSLTransformer to notify XSL transformation events to all its registered listeners.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XSLTransformerEvent(java.lang.Object p0, int p1)` Constructs the XSLTransformerEvent object using the XSLTransformer source object and its unique id.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getID()` Returns unique id of the XSLTransformer object which can be used to identify which instance of the XSLTransformer generated this event in cases where multiple instances of XSLTransformer may be working in background.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XSLTransformerEvent

    public XSLTransformerEvent(java.lang.Object p0,
                               int p1)

Constructs the XSLTransformerEvent object using the XSLTransformer source object and its unique id.

Parameters:
  `p0` - - The source XSLTransformer object that will fire the events
  `p1` - - Unique id identifying the source object

### Method Detail

#### getID

    public int getID()

Returns unique id of the XSLTransformer object which can be used to identify which instance of the XSLTransformer generated this event in cases where multiple instances of XSLTransformer may be working in background.

Returns:
  The unique `id` of the source XSLTransformer object for this event object.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.